Package ch.qos.logback.access

# Class PatternLayoutEncoder

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.encoder.EncoderBase<E>
ch.qos.logback.core.encoder.LayoutWrappingEncoder<E>
ch.qos.logback.core.pattern.PatternLayoutEncoderBase<IAccessEvent>
ch.qos.logback.access.PatternLayoutEncoder

All Implemented Interfaces:
  `Encoder<IAccessEvent>`, `ContextAware`, `LifeCycle`

public class PatternLayoutEncoder extends PatternLayoutEncoderBase<IAccessEvent>

## Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.PatternLayoutEncoderBase

`outputPatternAsHeader`

### Fields inherited from class ch.qos.logback.core.encoder.LayoutWrappingEncoder

`layout`

### Fields inherited from class ch.qos.logback.core.encoder.EncoderBase

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`PatternLayoutEncoder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`

### Methods inherited from class ch.qos.logback.core.pattern.PatternLayoutEncoderBase

`getPattern, isOutputPatternAsHeader, isOutputPatternAsPresentationHeader, setLayout, setOutputPatternAsHeader, setOutputPatternAsPresentationHeader, setPattern`

### Methods inherited from class ch.qos.logback.core.encoder.LayoutWrappingEncoder

`encode, footerBytes, getCharset, getLayout, headerBytes, isStarted, setCharset, setImmediateFlush, setParent, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### PatternLayoutEncoder

public PatternLayoutEncoder()

## Method Details

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `LayoutWrappingEncoder<IAccessEvent>`